"use strict";
// A *very* simple ANSI styling module
Object.defineProperty(exports, "__esModule", { value: true });
var coloursEnabled = false;
function ansiStyle(text, code) {
    if (!coloursEnabled) {
        return text;
    }
    return "\u001B[" + code + "m" + text + "\u001B[0m";
}
function enableColours(enabled) {
    coloursEnabled = enabled;
}
exports.enableColours = enableColours;
exports.bold = function (text) { return ansiStyle(text, 1); };
exports.black = function (text) { return ansiStyle(text, 30); };
exports.red = function (text) { return ansiStyle(text, 31); };
exports.green = function (text) { return ansiStyle(text, 32); };
exports.yellow = function (text) { return ansiStyle(text, 33); };
exports.blue = function (text) { return ansiStyle(text, 34); };
exports.magenta = function (text) { return ansiStyle(text, 35); };
exports.cyan = function (text) { return ansiStyle(text, 36); };
exports.white = function (text) { return ansiStyle(text, 37); };
exports.bgRed = function (text) { return ansiStyle(text, 41); };
//# sourceMappingURL=colours.js.map